#' @title subset_XStringSetPos
#' @name subset_XStringSetPos
#' @description Helper function which subset positions from a \code{XStringSet}.
#' @param x \code{DNAStringSet}, \code{RNAStringSet},
#' \code{AAStringSet}, \code{BStringSet}
#' @param pos positions to subset [default: NULL]
#' @importFrom Biostrings DNAString DNAStringSet AAString AAStringSet
#' readDNAStringSet readAAStringSet writeXStringSet width subseq
#' @export subset_XStringSetPos
#' @author Kristian K Ullrich

subset_XStringSetPos<-function(x, pos=NULL){
    if(is.null(pos)){
        return(x)
    } else {
        return(get(class(x))(apply(as.matrix(x)[,c(pos)],1,function(x) {
                paste(x,collapse = "")})))
    }
}
