% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cbind_XStringSetList.R
\name{cbind_XStringSetList}
\alias{cbind_XStringSetList}
\title{cbind_XStringSetList}
\usage{
cbind_XStringSetList(x, type = "DNAStringSet")
}
\arguments{
\item{x}{list of \code{XStringSet}}

\item{type}{type of \code{XStringSet} [default: DNAStringSet]}

\item{name}{name}
}
\description{
Helper function which cbind a list of \code{XStringSet}
into \code{XStringSet}.
}
\examples{
##load example sequence data
data("mousePRDM9", package="repeatR")
myRepPattern<-"PY"
myRepLength<-84
mousePRDM9.random<-sample(mousePRDM9, 4)
mousePRDM9.random.split<-repeatR::splitRepByPattern(mousePRDM9.random,
    myRepPattern, myRepLength)
repeatR::cbind_XStringSetList(mousePRDM9.random.split$cds,
    type="DNAStringSet")
repeatR::cbind_XStringSetList(mousePRDM9.random.split$aa,
    type="AAStringSet")
repeatR::collapse_XStringSetList(repeatR::cbind_XStringSetList(
    mousePRDM9.random.split$cds, type="DNAStringSet"))
repeatR::collapse_XStringSetList(repeatR::cbind_XStringSetList(
    mousePRDM9.random.split$aa, type="AAStringSet"))
}
\author{
Kristian K Ullrich
}
