% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hamming.R
\name{hamming}
\alias{hamming}
\title{hamming}
\usage{
hamming(X, Y)
}
\arguments{
\item{X}{\code{DNAStringSet}}

\item{Y}{\code{DNAStringSet}}
}
\description{
This function calculates pairwise string hamming distances.
}
\examples{
##load example sequence data
data("mousePRDM9", package="repeatR")
myRepPattern<-"PY"
myRepLength<-84
mousePRDM9.random<-sample(mousePRDM9, 20)
mousePRDM9.random.split<-repeatR::splitRepByPattern(mousePRDM9.random,
    myRepPattern, myRepLength)
##calculate hamming distance
repeatR::hamming(mousePRDM9.random.split$cds[[1]],
    mousePRDM9.random.split$cds[[2]])
}
\references{
Vara C et al. (2019) PRDM9 Diveristy at Fine Geographical Scale
Reveals Contrasting Evolutionary Patterns and Functional Constraints in
Natural Populations of House Mice. \emph{Molecular Biology and Evolution},
\bold{36(8)}, 1686-1700.
}
\author{
Kristian K Ullrich
}
