% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splitRepByPattern.R
\name{splitRepByPattern}
\alias{splitRepByPattern}
\title{splitRepByPattern}
\usage{
splitRepByPattern(x, p, l, threads = 1)
}
\arguments{
\item{x}{\code{DNAStringSet}}

\item{p}{repeat pattern}

\item{l}{repeat length in nucleotides}

\item{threads}{number of parallel threads [default: 1]}
}
\description{
This function splits a repeat containing \code{DNAStringSet},
into sequences (repeat units) given a repeat start pattern and repeat length.
}
\examples{
##load example sequence data
data("mousePRDM9", package="repeatR")
myRepPattern<-"PY"
myRepLength<-84
mousePRDM9.random<-sample(mousePRDM9, 20)
mousePRDM9.random.split<-repeatR::splitRepByPattern(mousePRDM9.random,
    myRepPattern, myRepLength)
mousePRDM9.random.split$cds
mousePRDM9.random.split$aa
##get abundance of repeat units
sort(table(as.character(repeatR::collapse_XStringSetList(
    mousePRDM9.random.split$aa))))
##get -1, +3, +6 position
myStart<-c(37,46,55)
myEnd<-c(39,48,57)
mousePRDM9.random.split.varPos<-MSA2dist::subString(
    repeatR::collapse_XStringSetList(mousePRDM9.random.split$cds),
    myStart, myEnd)
##get nucleotide diversity
pegas::nuc.div(ape::as.DNAbin(mousePRDM9.random.split.varPos), TRUE)
}
\seealso{
\code{\link[Biostrings]{translate}}
}
\author{
Kristian K Ullrich
}
